'use strict';

var sourceMap = require('source-map');
var convert = require('convert-source-map');

// @flow
function getGeneratorOpts(file) {
    return file.opts.generatorOpts ? file.opts.generatorOpts : file.opts;
}
// export function makeSourceMapGenerator(file) {
//     const generator = new SourceMapGenerator();
//     return generator;
// }
function makeSourceMapGenerator(file) {
    const generatorOpts = getGeneratorOpts(file);
    const filename = generatorOpts.sourceFileName;
    const generator = new sourceMap.SourceMapGenerator({
        file: filename,
        sourceRoot: generatorOpts.sourceRoot,
    });
    // console.log('root', generatorOpts.sourceRoot);
    generator.setSourceContent(filename, file.code);
    return generator;
}
function convertGeneratorToComment(generator) {
    return convert.fromObject(generator).toComment({ multiline: true });
}

exports.convertGeneratorToComment = convertGeneratorToComment;
exports.getGeneratorOpts = getGeneratorOpts;
exports.makeSourceMapGenerator = makeSourceMapGenerator;
//# sourceMappingURL=source-maps.cjs.map
